﻿@using (Html.BeginForm())
{
    ChartSeriesTemplateBindingDemoOptions options = (ChartSeriesTemplateBindingDemoOptions)ViewData[ChartDemoHelper.OptionsKey];
    <div class="chartOptionsPanel" style="height:auto;">
        <table>
            <tr>
                <td>
                    @Html.CheckBox("ShowLabels", options.ShowLabels)
                </td>
                <td><div class="Spacer" style="width: 5px;"></div></td>
                <td class="NoWrap">
                    <label for="ShowLabels">Show Labels</label>
                </td>
                <td><div class="Spacer" style="width: 506px"></div></td> 
                <td class="NoWrap"><label for="SeriesDataMember">Series Data Member:</label></td>
                <td><div class="Spacer" style="width: 5px;"></div></td>
                <td>
                    @Html.DropDownList("SeriesDataMember", ChartDemoHelper.GetSeriesDataMembers())
                </td>
                <td><div class="Spacer" style="width: 14px;"></div></td>
                <td><input style="float: right;" type="submit" value="Apply" /></td>
            </tr>
        </table>
    </div>
    ChartControlSettings settings = new ChartControlSettings();
    settings.Name = "chart";
    settings.Width = 700;
    settings.Height = 400;
    settings.BorderOptions.Visibility = DefaultBoolean.False;
    settings.CrosshairEnabled = options.ShowLabels ? DefaultBoolean.False : DefaultBoolean.True;
    settings.SeriesDataMember = options.SeriesDataMember;
    settings.SeriesTemplate.ArgumentDataMember = options.ArgumentDataMember;
    settings.SeriesTemplate.ValueDataMembers[0] = "GSPValue";
    settings.SeriesTemplate.LabelsVisibility = options.ShowLabels ? DefaultBoolean.True : DefaultBoolean.False;
    if (settings.SeriesTemplate.LabelsVisibility == DefaultBoolean.True)
    {
        settings.SeriesTemplate.Label.ResolveOverlappingMode = ResolveOverlappingMode.Default;
        settings.SeriesTemplate.Label.TextPattern = "{V:F2}";
    }
    XYDiagram diagram = (XYDiagram)settings.Diagram;
    diagram.AxisX.Label.Staggered = options.ArgumentDataMember == ChartSeriesTemplateBindingDemoOptions.Region;
    diagram.AxisY.Title.Visibility = DefaultBoolean.True;
    diagram.AxisY.Title.Text = "Millions of Dollars";
    diagram.AxisY.GridLines.MinorVisible = true;
    settings.Titles.Add(new ChartTitle()
    {
        Text = "US Regions Gross State Product",
        Font = new Font("Tahoma", 18)
    });
    settings.Titles.Add(new ChartTitle()
    {
        Text = "From www.bea.gov",
        Font = new Font("Tahoma", 8),
        TextColor = Color.Gray,
        Alignment = StringAlignment.Far,
        Dock = ChartTitleDockStyle.Bottom
    });
    @Html.DevExpress().Chart(settings).Bind(Model).GetHtml()
}